Modify a taxonomy group
PATCH https://manage.kontent.ai/v2/projects/:environment_id/taxonomies/:taxonomy_group_identifier
Modify how existing taxonomies are set up.
You can modify taxonomy groups and their taxonomy term configuration using the following operations:
addIntooperation to add new objects. For example, add a taxonomy term to the taxonomy group.moveoperation to reorder objects. For example, change the position of taxonomy terms.removeoperation to delete objects. For example, delete a taxonomy term from a taxonomy group.replaceoperation to update values. For example, replace the value of a specific object property such as a codename.
To apply the operations on the taxonomy group's terms, you need to specify a path to the taxonomy term using a {path_reference}. Path references can use internal IDs, codenames, or external IDs.
id:5eb3d03e-c69d-4e93-b4cc-76f453271386codename:my_text_elementexternal_id:id_from_external_source– Special characters such as slashes (/) need to be escaped. For example, to reference an object using its external ID ofmy/value, you use a path reference ofexternal_id:my\\/value.
Request Body
[{"value"=>"<Error: Too many levels of nesting to fake this schema>"}, {"value"=>"<Error: Too many levels of nesting to fake this schema>"}]
HEADERS
| Key | Datatype | Required | Description |
|---|---|---|---|
Content-Type | string | ||
Accept | string |
RESPONSES
status: OK
{"last_modified":"2019-04-02T08:08:40.3083064Z","id":"f30c7f72-e9ab-8832-2a57-62944a038809","name":"Categories","codename":"category","terms":[{"id":"146c5e35-dffe-5977-b943-16f0e862af2e","name":"New taxonomy term","codename":"new_taxonomy_term","external_id":"my-new-term","terms":[]},{"id":"012a94e4-76b4-5a5d-95ce-164577c9b5e5","name":"First-level taxonomy term","codename":"first_term","terms":[{"id":"9b897d7b-ded7-5de1-aee1-1e90e43db747","name":"Second-level taxonomy term","codename":"second_term","terms":[{"id":"9bee9779-a9c6-5d66-875b-aaf7093b4ac2","name":"Third-level taxonomy term","codename":"third_level_taxonomy_term","terms":[]}]}]}]}